Subject: Re: [PATCH] net/tls: Fix possible UAF in tls_set_device_offload

From: Jakub Kicinski <[email-masked]>
Date: Fri, 18 Nov 2022 18:43:47 -0800

On Thu, 17 Nov 2022 18:41:32 +0800 Lu Jialin wrote:
> In tls_set_device_offload(), the error path "goto release_lock" will
> not remove start_marker_record->list from offload_ctx->records_list,
> but start_marker_record will be freed, then list traversal may cause UAF.

Nope, the two object which are linked together are freed one 
after another.